import service from '../axios'

// 字典列表
export function dictionaryList(param) {
    return service.post('admin/system/dicList', param)
}

// 获取字典
export function dictionaryDetail(params) {
    return service.get('/admin/system/getDic', { params })
}

// 添加字典
export function dictionaryAdd(param) {
    return service.post('/admin/system/addDic', param)
}

// 更新字典
export function dictionaryUpdate(param) {
    return service.post('/admin/system/updateDic', param)
}

// 删除字典
export function dictionaryDelete(params) {
    return service.get('/admin/system/deleteDic', { params })
}

// 获取下级分类
export function dictionaryDeleteAll(params) {
    return service.get('/admin/system/getDic', { params })
}