import { defineStore } from 'pinia'
import { setLocalStorage, getLocalStorage } from "@/utils";

export const RouterTagData = defineStore({
    id: 'RouterTagData',
    state: () => ({
        tagData:  []
    }),
    getters: {

    },
    actions: {
        tagsPushData(items) {
            if (!this.tagData.some((res) => res.name === items.name)) {
                this.tagData.push(items);
            }
            setLocalStorage('LAOUT_TAG', this.tagData);
        },
        // 删除标签
        handleRemove(items){
            this.tagData = this.tagData.filter((res) => res.name!== items.name);
            setLocalStorage('LAOUT_TAG', this.tagData);
        }
    }
})
